# test_hub.py
from mkconnect.mouldking.MouldKing import MouldKing
from mkconnect.tracer.TracerConsole import TracerConsole
from mkconnect.advertiser.AdvertiserBTSocket import AdvertiserBTSocket

tracer = TracerConsole()
adv = AdvertiserBTSocket()
hub = MouldKing(hub_id=0, advertiser=adv, tracer=tracer)
print(dir(hub))           # ← zeigt alle Methoden